| Kea 3.0.2-git

host_data_parser.h File Reference
`#include <dhcpsrv/cfg_host_operations.h>`
`#include <dhcpsrv/parsers/host_reservation_parser.h>`
`#include <boost/pointer_cast.hpp>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for host_data_parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::host_cmds::HostDataParser< ParserBase >
| A class for parsing extended host reservation data. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::host_cmds

## Typedefs
typedef HostDataParser< isc::dhcp::HostReservationParser4 > | isc::host_cmds::HostDataParser4
| Parser for DHCPv4 host reservation.
typedef HostDataParser< isc::dhcp::HostReservationParser6 > | isc::host_cmds::HostDataParser6
| Parser for DHCPv4 host reservation.